%define upstream_name    Safe
%define upstream_version 2.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Restrict eval'd code to safe subset of ops
Source0:    http://www.cpan.org/modules/by-module/Safe/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
The Safe extension module allows the creation of compartments in which perl
code can be evaluated. Each compartment has

* a new namespace

  The "root" of the namespace (i.e. "main::") is changed to a different
  package and code evaluated in the compartment cannot refer to variables
  outside this namespace, even with run-time glob lookups and other tricks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Feb 18 2011 jquelin <jquelin> 2.290.0-3.mga1
+ Revision: 53657
- rebuild

* Tue Jan 18 2011 blino <blino> 2.290.0-2.mga1
+ Revision: 23271
- rebuild for new perl

* Sun Jan 09 2011 jquelin <jquelin> 2.290.0-1.mga1
+ Revision: 4290
- imported package perl-Safe

